package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttDiscBase;
import com.goldenwater.slgc.mapper.AttDiscBaseMapper;
import com.goldenwater.slgc.service.DiscService;

/** 消力池信息 业务实现 */
@Service
public class DiscServiceImpl implements DiscService {
    @Autowired
    private AttDiscBaseMapper attDiscBaseMapper;

    @Override
    public List<AttDiscBase> selectAttDiscBaseList(AttDiscBase attDiscBase) {
        return attDiscBaseMapper.selectAttDiscBaseList(attDiscBase);
    }

    @Override
    public AttDiscBase selectAttDiscBaseById(String discCode) {
        return attDiscBaseMapper.selectAttDiscBaseById(discCode);
    }

    @Override
    public int deleteAttDiscBaseByIds(String[] discCodes) {
        return attDiscBaseMapper.deleteAttDiscBaseByIds(discCodes);
    }

    @Override
    public int insertAttDiscBase(AttDiscBase attDiscBase) {
        return attDiscBaseMapper.insertAttDiscBase(attDiscBase);
    }

    @Override
    public int updateAttDiscBase(AttDiscBase attDiscBase) {
        return attDiscBaseMapper.updateAttDiscBase(attDiscBase);
    }
}
